#include <stdio.h>
#include <assert.h>
#include <string.h>
#include "SndfileWavUtil.h"

typedef unsigned short UINT16;

int
main (int argc, char * argv [])
{
  const char* inputWavFileName;
  const char* outputWavFileName;

  FILE *inputPcmFile;
  FILE *outputPcmFile;

  UINT16 sample;

  inputWavFileName = argv[1];
  outputWavFileName = argv[2];

  // Convert input wav to pcm
  generate_pcm(inputWavFileName, "input.pcm");

  inputPcmFile = fopen("input.pcm", "r");
  outputPcmFile = fopen("output.pcm", "w");

  assert(inputPcmFile);
  assert(outputPcmFile);

  while(fread(&sample, 2, 1, inputPcmFile)) {
    assert(fwrite(&sample,2,1,outputPcmFile));
  } 

  fclose(inputPcmFile);
  fclose(outputPcmFile);

  generate_wav("output.pcm", inputWavFileName, outputWavFileName);

}

